One-shot envelope of every policy analytics pipe
GET
/
v1
/
analytics
/
policies
/
dashboard
One-shot envelope of every policy analytics pipe
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/analytics/policies/dashboard \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.featherhq.com/v1/analytics/policies/dashboard"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.featherhq.com/v1/analytics/policies/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"violation_rate": [
{
"policy_id": "<string>",
"policy_name": "<string>",
"strictness": "<string>",
"evaluations": 123,
"violations": 123,
"violation_rate_pct": 123,
"enforced": 123,
"would_be": 123,
"errors": 123,
"avg_latency_ms": 123
}
],
"action_breakdown": [
{
"action": "<string>",
"mode_bucket": "<string>",
"count": 123
}
],
"violations_timeseries": [
{
"time_bucket": "2023-11-07T05:31:56Z",
"evaluations": 123,
"violations": 123,
"enforced_violations": 123,
"shadow_violations": 123
}
],
"monitor_rollout": [
{
"policy_id": "<string>",
"policy_name": "<string>",
"strictness": "<string>",
"evaluations": 123,
"would_be_violations": 123,
"would_be_rate_pct": 123,
"would_be_blocks": 123,
"would_be_redacts": 123,
"would_be_appends": 123,
"would_be_handoffs": 123,
"would_be_approvals": 123,
"errors": 123,
"avg_latency_ms": 123,
"p95_latency_ms": 123,
"response_p95_latency_ms": 123
}
]
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"error": "<string>",
"message": "<string>",
"retryable": true,
"retry_after": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Pattern:
^(minute|hour|day|week)$Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
One-shot envelope of every policy analytics pipe
